Site context

Manage context records, connections, and topics for a docs site.

Manage the contextual records and topics used by your site to power AI experiences and insights.

List all context records

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

The unique id of the organization

siteIdstringRequired

The unique id of the site

Query parameters
pagestringOptional

Identifier of the page results to fetch.

limitnumber · max: 1000Optional

The number of results per page

typestring · enumOptional

Filter context records by type.

Possible values:
connectorone ofOptional

Filter context records by connector type.

stringOptional

Integration source

Pattern: ^integration:[^:]+$
or
string · enumOptional

Builtin sources

Possible values:
connectionstringOptional

Filter context records by connection id.

topicstringOptional

Filter context records by associated site topic ID.

Responses
chevron-right
200

OK

application/json
get
/orgs/{organizationId}/sites/{siteId}/context-records
200

OK

Create or update context records

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

The unique id of the organization

siteIdstringRequired

The unique id of the site

Bodyobject[]

Input to ingest a new context record

idstringRequired

Unique local identifier for the record

typestring · enumRequiredPossible values:
titlestring · min: 1 · max: 256Required

Title for the context record

descriptionstring · max: 512Optional

Optional short description of the context record

bodystringRequired

Body content of the record as markdown

urlstring · uriOptional

URL of the record

Responses
put
/orgs/{organizationId}/sites/{siteId}/context-records
204

The context records have been created or updated

No content

List all context connections

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

The unique id of the organization

siteIdstringRequired

The unique id of the site

Query parameters
pagestringOptional

Identifier of the page results to fetch.

limitnumber · max: 1000Optional

The number of results per page

Responses
chevron-right
200

OK

application/json
get
/orgs/{organizationId}/sites/{siteId}/context-connections
200

OK

Create a context connection

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

The unique id of the organization

siteIdstringRequired

The unique id of the site

Body
anyOptional
or
or
or
and
Responses
post
/orgs/{organizationId}/sites/{siteId}/context-connections
201

Created connection

Get a context connection

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

The unique id of the organization

siteIdstringRequired

The unique id of the site

siteContextConnectionIdstringRequired

The unique id of the context connection

Responses
chevron-right
200

OK

application/json
and
anyOptional
or
or
or
get
/orgs/{organizationId}/sites/{siteId}/context-connections/{siteContextConnectionId}
200

OK

Delete a context connection

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

The unique id of the organization

siteIdstringRequired

The unique id of the site

siteContextConnectionIdstringRequired

The unique id of the context connection

Responses
delete
/orgs/{organizationId}/sites/{siteId}/context-connections/{siteContextConnectionId}

No content

Update a context connection

patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

The unique id of the organization

siteIdstringRequired

The unique id of the site

siteContextConnectionIdstringRequired

The unique id of the context connection

Body
anyOptional
or
or
or
or
Responses
chevron-right
200

OK

application/json
and
anyOptional
or
or
or
patch
/orgs/{organizationId}/sites/{siteId}/context-connections/{siteContextConnectionId}
200

OK

Trigger a sync for a context connection

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

The unique id of the organization

siteIdstringRequired

The unique id of the site

siteContextConnectionIdstringRequired

The unique id of the context connection

Responses
post
/orgs/{organizationId}/sites/{siteId}/context-connections/{siteContextConnectionId}/sync

No content

List all topics

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

The unique id of the organization

siteIdstringRequired

The unique id of the site

Responses
chevron-right
200

OK

application/json
get
/orgs/{organizationId}/sites/{siteId}/topics
200

OK

Get a topic

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

The unique id of the organization

siteIdstringRequired

The unique id of the site

siteTopicIdstringRequired

The unique id of the topic

Responses
chevron-right
200

OK

application/json
objectstring · enumRequiredPossible values:
idstringRequired

The ID of the topic

labelstringRequired

The label of the topic

createdAtstring · date-timeRequired
updatedAtstring · date-timeRequired
iconstring · icon · max: 50Required

Name of the icon

Example: gear
weeklyPulsenumber[] · min: 13 · max: 13Required

The weekly pulse of related question answers for the past 3 months

pagesnumberRequired

The number of pages associated with the topic

recordsnumberRequired

The number of records in the topic

get
/orgs/{organizationId}/sites/{siteId}/topics/{siteTopicId}
200

OK

Update a topic

patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

The unique id of the organization

siteIdstringRequired

The unique id of the site

siteTopicIdstringRequired

The unique id of the topic

Body
Responses
chevron-right
200

OK

application/json
objectstring · enumRequiredPossible values:
idstringRequired

The ID of the topic

labelstringRequired

The label of the topic

createdAtstring · date-timeRequired
updatedAtstring · date-timeRequired
iconstring · icon · max: 50Required

Name of the icon

Example: gear
weeklyPulsenumber[] · min: 13 · max: 13Required

The weekly pulse of related question answers for the past 3 months

pagesnumberRequired

The number of pages associated with the topic

recordsnumberRequired

The number of records in the topic

patch
/orgs/{organizationId}/sites/{siteId}/topics/{siteTopicId}
200

OK

Last updated

Was this helpful?